### Version: Skyrecorder 2.1.1d
"Datenbank aufräumen" korrigiert

### Version: Skyrecorder 2.1.1c
Archiv: Cover u. FilmInfos lassen sich wieder aktualisieren. Auch als Serie.

### Version: Skyrecorder 2.1.1b
fixed detailsCoverTimer on Dreambox

### Version: Skyrecorder 2.1.1a
kein deferToThread auf VTi möglich

### Version: Skyrecorder 2.1.1
Kurze Wochentage auch in 2-zeiliger Ansicht und bei VTi in deutsch.
Archiv: Wieder aktiviert. Filtern auch mit Taste Menu. Cover u. FilmInfos lassen sich dort aber nicht aktualisieren.
Auf den TV Guide wird mit einer anderen Methode zugegriffen, um Probleme mit TLS zu vermeiden.

### Version: Skyrecorder 2.1.0
- Zugriffe auf den Sky TV Guide weiter massiv reduziert, um eine Sperre auf der Webseite zu verhindern. Wirkt ab dem 2. Tag der Benutzung.
- Sendungen werden auch über mehrere Sender erkannt und zusammengefasst.
- Neue Genre wurden hinzugefügt. Wer alle Kategorien aus dem TV Guide in der Datenbank haben möchte, kann in den Settings die neue Option "Neue Genre automatisch hinzufügen:" aktivieren.
- Keine doppelten Cover oder Poster mehr in der Datenbank.
- Jede neue Folge einer Serie wird jetzt korrekt erkannt. Auch zwei oder mehr pro Tag.
- Staffel- und Episoden-Nummern sowie Episoden-Titel werden angezeigt.
- Zu einer einzelnen Folge kann man sich alle vorhandenen Folgen dieser Serie anzeigen lassen. Das geht mit der Taste gelb in der Liste der Sendetermine. Funktioniert auch in Skins, wo keine gelbe Taste angezeigt wird.
- Das Archiv ist noch nicht auf die neue Datenbankstruktur angepasst und deshalb deaktiviert.

### Version: Skyrecorder 2.0.6c
Damit man besser in der Hauptliste scrollen kann, werden die Poster jetzt etwas verzögert geladen.

### Version: Skyrecorder 2.0.6b
new icons in 8 bits color depth (24 bits are not supported on VTI)

### Version: Skyrecorder 2.0.6a
other skins need pixmap '169'

### Version: Skyrecorder 2.0.6
Erkennung von Serien, HD, Dolby und Zweikanalton. Anzeige neben dem Cover korrigiert und neue Icons (Skin OriginalMyColor). Untertitel?
Bei Serien werden die Cover nun auch als Serie bei TMDb abgefragt, nicht mehr als Spielfilm.
Alle TMDb-Abfragen sind robuster.

### Version: Skyrecorder 2.0.5
Werden Sender umbenannt, wird dies nun automatisch übernommen (wie zuletzt bei TNT ... in Warner TV ...).
Es werden nur noch Sendungen aus dem TV Guide heruntergeladen, die noch nicht in der Datenbank sind.
Das verringert die Downloads und damit die Wahrscheinlichkeit, dass man von der Webseite ausgesperrt wird.
Allgemein wurde die Behandlung von Download-Problemen verbessert.

### Version: Skyrecorder 2.0.4b
Neue Einstellungsmöglichkeit "einzeilig mit Startzeit" bei "Darstellung der Sendungsliste:"

### Version: Skyrecorder 2.0.4a
In der einzeiligen Darstellung ist die nächste Startzeit nun auch enthalten.
Liegt die Startzeit innnerhalb einer Woche ist sie grün, alles danach ist gelb.
Ein extralanger Filmtitel überschreibt die Startzeit. Man kann dann in die Eventliste reinschauen.

### Version: Skyrecorder 2.0.4
Bugfix für Fehler 'et'
autom. TMDb-Cover müssen in einem Bereich von +-3 Jahren zum Jahr im TV Guide passen; keine TMDb-Cover aus der Zukunft
Bugfix der gelben Taste "Alle/Neu"; der Zustand wird jetzt permanent gespeichert

### Version: Skyrecorder 2.0.3d
bugfix copy tmdb cover under python 3

### Version: Skyrecorder 2.0.3c
New feature "TMDb Cover automatisch zu den Aufnahmen kopieren (experimentell):"

### Version: Skyrecorder 2.0.3b
Bugfix TMDb Cover-Suche für Titel wie "Abc Xyz [Uncut]"

### Version: Skyrecorder 2.0.3a
Skin OriginalMyColor läuft auf Dreambox, VTi und OpenATV

### Version: Skyrecorder 2.0.3
Neuer Skin OriginalMyColor: Der Hintergrund kann farblich angepasst werden, auch mit beliebiger Farbe
TMDb Cover werden jetzt immer in 300x450 heruntergeladen und dargestellt (OriginalMyColor)

### Version: Skyrecorder 2.0.2
Läuft auch auf Dreambox (mit anderen Skins)
TMDb Cover-Suche jetzt auch unter Python 3.
Jedes TMDb Cover wird nun nur noch einmal heruntergeladen. Und nicht immer und immer wieder.
TMDb Cover-Suche ist etwas zuverlässiger.

### Version: Skyrecorder 2.0.0
Gleicher Source Code für Python 2 und 3

### Version: Skyrecorder 1.9.8
Fixed: Abfrage SkyGuide (dank Fitz')

### Version: Skyrecorder 1.8.1
Fixed: Wakeup aus dem Deep Standby, und nach der Datenbankaktualisierung automatisches herunterfahren der Box in den Standby/Deep Standby

### Version: SykRecorder (ehemals Sky Anytime) v1.8.0-r0
Fixed: Version für FHD und HD (dank gutemine)
Change: Log wird unter /tmp erzeugt

### Version: SykRecorder (ehemals Sky Anytime) v1.7.1-r8
Fixed: Anpassungen wegen Änderung in Bezug auf SkyGo - Umstellung auf SkyTicket

### Version: SykRecorder (ehemals Sky Anytime) v1.7.1-r3d
Fixed: URL-Anpassung für SkyGo URLs

### Version: SkyRecorder v1.7.1-r3c
Fixed: noch kleine Fixes in den Skins
Change: Meldung zum ändern des Speicherortes der sky.db abgeschalten
Achtung: Version v1.7.1-r3b und r3c für User, die einen FHD-Skin ( z.B. Nuke-FHD ) auf ihrer Box nutzen

### Version: SkyRecorder v1.7.1-r3b
Change: original Skins des SkyRecorders auf Full-HD umgestellt

### Version: SkyRecorder v1.7.1-r3
Fixed: GS nach speichern der Einstellungen
Achtung: Version für User, die einen HD-Skin ( z.B. MetrixStyleHD von arki ) auf ihrer Box nutzen

### Version: SkyRecorder v1.7.1-r1
Fixed: Portierung SkyRecorder auf DreamOS durch gutemine

### Version: SykRecorder (ehemals Sky Anytime) v1.6.1.3D
Neu: Neuerscheinungen von Sky 3D werden automatisch mit aufgenommen wenn in der Datenbank ein Eintrag mit dem gleichen Titel auf Sky Cinemy HD gefunden wurde.

### Version: SkyRecorder (ehemals Sky Anytime) v1.6.1
Fixed: GS nach Update auf 1.6.0

### Version: SkyRecorder (ehemals Sky Anytime) v1.6.0
Fixed: Feldweite für Episodenkennung in der Serien-Episodenliste im Archiv angepasst.
Fixed: Fehler bei Zeitstempelberechnung für Timer.
Fixed: GS beim Auslesen von Tags im Archiv.
Genre: Genreliste um "Heimatfilm", "Kinder 10-16" und "Musik/Ballett/Tanz (allgemein)" erweitert.
Neu: inaktive TMDb-Daten beim Datenbankupdate aus skydb.db löschen.
Neu: "VACUUM"-Funktion (Datenbank optimieren) als Option in den Einstellungen hinzugefügt.
Diverse alte Codezeilen und Dateien entfernt.

### Version: SkyRecorder (ehemals Sky Anytime) v1.5.1
Neu: TMDB movie-id wird als Tag zu den Metadaten hinzugefügt.
Neu: Bessere Erkennung der Timerbeschränkung. Aufnhamen auf dem selben Sender dürfen nun um 1 Minute überlappen.
Neu: Im Archiv kann die Suche nach Filmtiteln manuell korrigiert bzw. angepasst werden.
Neu: Im Archiv werden Filme automatisch nach Filmnane + (Jahr) umbenannt, wenn sie mit TMDb abgegelichen wurden. Kann in den Settings ausgeschalet werden.
Fixed: GS wenn Movieinfoliste leer war und die OK-Taste gedrückt wurde.
Fixed: URL-Anpassung bei TMDb.

### Version: SkyRecorder (ehemals Sky Anytime) v1.5.0
Neu: (Beta) Mit EPG-Taste im Hauptscreen und Archiv Filminformationen von TMDb abfragen und in der skydb.db speichern. (Vorerst nicht automatisch)
Fixed: Manchmal wurde der erste Eintrag einer Seite, beim Blättern in der Hauptliste, ausgelassen.
Fixed: GreenScreen, wenn im Archiv die "begin"-Zeit nicht gefunden und gesetzt wurde. (wohl nur bei nicht VTI-Images)
Anders: Whitelist-Einträge werden nun immer ab Anfang des Titelnamens gesucht.
Anders: viele kleinere Änderungen im Code und an den SQL-Abfragen.

### Version: SkyRecorder (ehemals Sky Anytime) v1.4.1
Fixed: Fehler, wenn gzip nicht gefunden wurde.
Fixed: Episodenliste wurde nicht sortiert, im Serieninfo-PopUp
Fixed: Timerliste im Hauptscreen wurde nicht neu eingelesen, wenn im Archiv eine Datei gelöscht wurde und diese auch eine Aufnahme bzw. aktiver Timer war

### Version: SkyRecorder (ehemals Sky Anytime) v1.4.0
Neu: Andere Darstellung für manuelle Timerauswahl im Hauptscreen. (ist jetzt ein PopUp-Fenster)
Neu: Serien im Archiv umbenennen. Die Infos für Staffel und Episode werden von tvdb geholt und mit den lokalen Dateien abgeglichen. Das ganze ist derzeit noch etwas rudimentär umgesetzt.
Anders: In der Hauptliste werden nun auch Einträge angezeigt, deren Startzeit größer als "Jetzt", aber Ende kleiner als "Jetzt" sind.
Anders: Es wird keine default-Senderliste mehr vom Datenbankscript erstellt. D.h. nach dem skydb.db Löschen muss erst ein Datenbankupdate gemacht werden, um die aktuelle Senderliste von Sky zu laden.
Anders: Addedlist/Timerverlauf wird nur noch auf vorhandene Titel plus Beschreibung geprüft. Sender und Genre werden erstmal, bis auf weiteres, ignoriert.
Fixed: Sortierung für automatische Timer wird nun nurnoch nach Startzeit aufsteigend angewendet.
Fixed: erster Eintrag in der Hauptscreenliste wurde nicht angezeigt.
Fixed: Darstellungsfehler und Funktionsfehler in Liste für manuelle Timerauswahl.
Fixed: Willkürliches entfernen von Einträgen aus dem Timerverlauf.

### Version: SkyRecorder (ehemals Sky Anytime) v1.3.10
Fixed: GS wenn Datenbank leer ist, aber Systemtimer vorhanden sind und ein sync versucht wird.

### Version: SkyRecorder (ehemals Sky Anytime) v1.3.9
Fixed: Datenbankupdate wurde beim Abbrechen nicht richtig beendet
Fixed: Status "Hidden" wurde nachträglich überschrieben und falsch dargestellt
Fixed: Timer-EIT wird nun aus dem EPGCache geholt
Fixed: Manche Timer wurden aus der Systemtimerliste nicht richtig importiert.
Fixed: falsche Default-skydb.db im Package.
Neu: Die Einstellung "Erinnerung" für Timereinträge wird nun vom letzten eingma2-Update unterstüzt.
Neu: Bei manuellem Datenbankupdate und manuellem Start von automatischen Timereinträgen wird die STB nicht mehr
runtergefahren oder in den Stanb-By geschickt.
Diverses: hier und da ein paar Codezeilen angepasst.

### Version: SkyRecorder (ehemals Sky Anytime) v1.3.8
Diverses: Anpassungen, die das Prüfen auf schon vorhandene Timer in der
Timerverlaufliste betreffen. Das Genre z.B. wird dafür nicht mehr mit einbezogen.
Anders: Es werden jetzt auch wieder Einträge in die Datenbank geladen, die schon im Verlauf vorhanden sind.

### Version: SkyRecorder (ehemals Sky Anytime) v1.3.7
Fixed: Blacklisteintrag wurd nicht immer im gesammten Wortteil gesucht.
Fixed: Nach öffnen der Sender/Genrelist in den Einstellungen wurde die configlist nicht neu geladen.
Fixed: Whitelisteinträge waren per Default auf den Sender beschränkt, für die sie mit der Taste "2"
angelegt wurden.
Neu: Option für erweiterte Darstellung der Sendungsliste im Hauptscreen hinzugefügt.
Neu: In der Witelist können direkt Einträge hinzugefügt werden. (vorerst senderübergreifend)

### Version: SkyRecorder (ehemals Sky Anytime) v1.3.6
Neu: Statusanzeige im Archiv, ob Eintrag eine laufende Aufnahme ist.
Neu: Beim Löschen einer Datei im Archiv, wird geprüft ob es eine laufende Aufnahme ist.
Neu: Wenn die Gruppe Serie in der Hauptliste ausgewählt ist, dann wird der Episodenname anstatt dem Gruppennamen angezeigt.
Neu: Option für sortieren nach Genre in Hauptliste hinzugefügt.
Neu: Die Liste im Hauptscreen kann nun mit rechts/links geblättert werden. In den Einstellungen gibt es
eine Option, die maximalen Einträge pro Seite einzustellen.
Neu: Änderung der Icons und ihre Bedeutung
Fixed: Whitelisteinträge wurden im Hauptscreen durch Blacklisteinträge ausgeblendet
Diverse kleinere Änderungen und Anpassungen mancher SQL-Funktionen 

### Version: SkyRecorder (ehemals Sky Anytime) v1.3.5
Fixed: Fehler im HelpScreen - Actionmaps wurde falsch verwendet
Fixed: Wenn der Pfad zur skydb.db geändert wurde, kam es vor, dass eine schon existierende skydb.db überschrieben wurde.
Added: nerviges Fenster - Info-Popup mit Auforderung den Pfad zur skydb.db anzupassen, wenn nicht bereits geschehen.
Fixed: Nach Änderung des Datenbankpfads, wurde erst nach einem Neustart die neue Datenbank verwendet.

### Version: SkyRecorder (ehemals Sky Anytime) v1.3.4
Neu: Option um nur aktivierte Genre in der Hauptliste anzuzeigen hinzugefügt.
Neu: Mit der Taste "Rot" im Archiv können nun Einträge gelöscht werden.
RegEx geändert: Manchmal wurde die skydb.db beim Update nicht gefunden, obwohl in der settings-Datei vorhanden.

### Version: SkyRecorder (ehemals Sky Anytime) v1.3.3
Fixed: Fehlermeldung, wenn skydb.db vom Installer nicht in den settings gefunden wurde.
Fixed: Fehlende Maskierung von "[" und "]" bei Blacklist-Begriff-Auswertung.

### Version: SkyRecorder (ehemals Sky Anytime) v1.3.2
Neu: Timer-eit wird nun mit angelegt.
Neu: besserer Abgleich mit SkyRecorder, wenn Timer manuell in der System-Timerliste gelöscht werden.
Fixed: falsche Berechnung der Vorlaufzeit bei Timerprüfung, die sich in die 1.3.1 eingesachlichen hatte.
Neu: Datenbankschema aktualisiert, um zwei weitere IDs in die Tabelle "added" aufzunehmen. Wird für
Timerabgleiche benötigt.
Fixed: falscher bzw. alter Pluginname in den Skin-Dateien.

### Version: SkyRecorder (ehemals Sky Anytime) v1.3.0
- Neu: Whitelist für Sendungen hinzugefügt, die unbedingt aufgenommen werden sollen.
- Achtung: diverse Tastenbelegungen geändert.

### Version: SkyRecorder (ehemals Sky Anytime) v1.2.6
- Neue Option in Sendernamen-Umschlüsselliste, um die Liste löschen zu können, hinzugefügt.

### Version: SkyRecorder (ehemals Sky Anytime) v1.2.5
- kleine Änderungen.
- Automatisches Update der Senderliste, bei neuen Sendern im Sky-TV-Guide.

### Version: SkyRecorder (ehemals Sky Anytime) v1.2.4
- SkyRecorder Ordnerstruktur ist nun optional aktivierbar

### Version: SkyRecorder (ehemals Sky Anytime) v1.2.3
- Neu: Taste "7" und "9" in der Hauptliste schlatet die Sortierung der Liste um.
- Neu: Taste "<" und ">" schaltet in der Hauptliste die angezeigte Kategorie-Gruppe um.
- Neu: In den Einstellungen kann mit der "Hilfe/Help"-Taste eine kleine Bedienungsanleitung aufgerufen werden.
- Neu: Taste "0" geht nun bei allen Einträgen. D.h. Sendungen die "rot" markiert sind, können auch auf Hidden gesetzt werden. Timer werden automatisch entfernt.
- Datenbankscript zum Erstellen der Datenbank geupdated. ("KinoweltTV" umbenannt zu "Kinowelt TV")
- Ordner "SkyRecorder" für die Ordnerstruktur wird nach Bedarf erstellt, wenn man den Zielordner bzw. Basisordner in den Einstellungen ändert.
- diverse kleinere Anpassungen

### Version: SkyRecorder (ehemals Sky Anytime) v1.2.2
- Fixed: Sortierung der Hauptliste hat bei manchen sqlite3 Version nicht richtig funktioniert.
- Added: Anzahl der Sendetermine in der Hauptliste anzeigen.
- Sortierung im Fenster Timerverlauf sortiert nach Startzeit absteigend
- Fixed: Archiv zeigt nicht alle Einträge an, wenn das genre leer ist. Genre wird als "Sonstiges" gemappt.

### Version: SkyRecorder (ehemals Sky Anytime) v1.2.1
- Fixed: Intervall für automatische Datenbankupdates wurde manchmal nicht aktualisiert
- Added: Ordnerstruktur für Aufnahmen hinzugefügt. Es wird der Ordner "SkyRecorder" mit Unterordnern für die Genre-Gruppen erstellt.
  Aufnahmen werden druch die Zuordnung der Genre zu den Gruppen automatisch in die jeweiligen Ordner gespeichert.
- Das Archiv liest nun auch Unterordner ein. (Standard max-depth=3, kann im script angepasst werden.)
- Vorschaubilder-Tempdateien reduziert. D.h. weniger Speicherverbauch in /tmp
- Mit der Taste "5" kann im Hauptscreen ein Cover neu geladen werden. Nützlich, wenn das Bild falsch angezeigt wird.
- Es werden nur automatische Timer gesetzt für Sendungen, die als "is_new" (grün) markiert sind.
  Dadurch kann man die Einstellungen "nur Neuerscheinungen suchen" auch mal auf "nein" stellen.
- Metrix-Skin aktualisiert. Vielen Dank an root_
- Fixed: Archiv Page-Up/Page-Down in der Filmliste war verdreht
- Die Taste "2" im Hauptscreen schaltet zwischen Neuerscheinungen und Allem um. (wenn man in den Einstellungen nur Neuerscheinungen suchen auf "nein" gestellt hat und ein Datenbankupdate gemacht hat)

### Version: SkyRecorder (ehemals Sky Anytime) v1.2
- Neuer Plugin-Name "SkyRecorder"
- Einträge die auf "Hidden" (grau) stehen oder fertig sind (blau), könnnen mit der Taste "8" aus der Datenbank gelöscht werden
- Die Interne-Timerliste ist nun ein egener Screen. Man kann alle, oder nur einzelne gemerkte Timereinträge entfernen (nicht die Timer selbst!)
- Das Archiv liest nun den Zielordner ein.
- neues Skin: metrix (Danke an LinuxLover2012)
- Fixed: GS wenn keine Aufnahmen vohanden
- Filter für das Archiv hinzugefügt, um nur Filmdateien zu laden
- Struktur der Skins geändert. Alle Grafiken liegen nun im jeweiligen skins/images Ordner
- Fixed: Fehler in der Timerbegrenzung
- Mit der Taste "0" können einzelne Titel auf "Hidden" gesetzt und gleichzeitig zur Ignorierliste hinzugefügt werden.
- Zeit für tägliches Datenbankupdate einstellbar (Stunden und Minuten)
- diverse kleinere Anpassungen

### Version: Sky Anytime v1.0.1
- automatische Datenbankupdate-Einstellung angepasst. Beim Aktiveren der Option wird erst nach dem eingestellten Intervall ein Update gestartet.
- keine weiteren Sendetermine für abgeschlossene Aufnahmen hinzufügen
- Alle Sender in der Senderliste sind bei der Erstinstallation oder dem Neuerstellen der Datenbank deaktiviert.
- Option zum eingrenzen der gleichzeitigen Aufnahmen (liest aber noch keine Tuner oder Transponder aus, kommt evtl. noch)
- Datum und Uhrzeit des letzten Datenbankupdates wird im Einstellungsfenster angezeigt
- fertige Aufnahmen, die in der internen Timer-Merkliste vorhanden sind, werden "blau" markiert.
- Einträge die auf "Hidden" (grau) stehen oder fertig sind (blau), könnnen mit der Taste "8" aus der Datenbank gelöscht werden 

### Version: Sky Anytime v1.0.0
- NEU: Nutzung der JSON-API vom skygo TV-Guide
- Option um eine bestimmte Anzahl an Tagen aus dem Guide zu laden hinzugefügt.
- Option hinzugefügt, um nur Neuerscheinungen oder den kompletten TV-Guide zu laden.
- Ein Datenbankupdate kann mit der EPG/Info-Taste gestartet oder abgebrochen werden.
- Sortierfunktionen für Filmliste hizugefügt.
- Datenbankstruktur erweitert bzw. angepasst. (neue Sendernamen, neue Genres)
- kleinere Bugfixes

### Version: Sky Anytime v0.9
- diverse Änderungen im Code die Objekt und Stringvergleiche betreffen.
- Timereinträge können jetzt direkt aus dem Plugin wieder entfernt werden.
- Genre können Gruppen zugeordnet werden. Diese werden später an verschiedenen Stellen ausgwertet
- Struktur der Einstellungen angepasst.
- Option hinzugefügt, um die STB in den Standby oder Deep-Standby zu schicken.
  Funktioniert nur im Zusammenhang mit der automatischer Aktualisiereung der Datenbank und dem
  Modus "Deep-Standby beenden". Beide Optionen müssen aktiviert sein.
- GS behoben, wenn nur ein Sender oder nur ein Genre aktiviert wurde.
- Das Archiv zeigt nur Einträge, die am Zielort existieren.
- Der Timer Vor- und Nachlauf kann nun im Plugin selbst eingestellt werden. Defaultwerte sind die globalen
  Systemeinstellungen für margin_before und margin_after.
- Status in Datenbank erweitert: "True","False","Hidden".
- Mit der Taste "0" kann eine Sendung direkt ignoriert oder wieder aktiviert werden (Hidden).
- Sky TV-Guide URL wurde geändert.
- SQL-Funktion für runautocheck ghinugefügt, die events mit status "Hidden" auslässt.

### Version: Sky Anytime v0.8.3 rc1
- Der Eintrag "False" im Archiv ist behoben. (einfall, Du Adlerauge;) )
- Der Default-Datenbankpfad ist korrigiert (plugin-Verzeichnis, nicht Extensions)
- Anzeigefehler in der Filmliste, wenn man aus einem anderen Fenster zurückkehrt. (Inhalt wurde erst bei nochmaligem Wechsel eines Eintrags richtig angezeigt)
- Filme aus dem Archiv starten geht besser. (Servicereferenz korrigiert)
- Die Senderliste merkt sich die letzte Position, wenn man von "Sendernamen umschlüsseln" zurückkehrt.
- Die Vorschaubilder werden nun auch in der Datenbank abgelegt.
- Wenn man den Datenbankpfad ändert, wird versucht die bestehende Datenbank zu kopieren.
- Feld id_genre für Abfragen in der Tabelle "added" hinzugefügt.
- bestehende Timereinträge werden immer in added importiert, solange sieh in der Systemtimerliste vorkommen
- diverse Änderungen im Eventhandling
